import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { GetKeyResponseFilterSensitiveLog } from "../models/models_0";
import { de_GetKeyCommand, se_GetKeyCommand } from "../protocols/Aws_restJson1";
export { $Command };
export class GetKeyCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
    KvsARN: { type: "contextParams", name: "KvsARN" },
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("CloudFrontKeyValueStore", "GetKey", {})
    .n("CloudFrontKeyValueStoreClient", "GetKeyCommand")
    .f(void 0, GetKeyResponseFilterSensitiveLog)
    .ser(se_GetKeyCommand)
    .de(de_GetKeyCommand)
    .build() {
}
